spring:
  application:
    name: snowy-web-app
  profiles:
    active: dev
  cloud:
    nacos:
      config:
        server-addr: ${REGISTER_HOST:192.168.1.245}:${REGISTER_PORT:18848}
        namespace: ${NAMESPACE_ID:snowy-cloud-2x-ent-dev}
        group: ${spring.profiles.active}
        prefix: ${spring.application.name}
        file-extension: yaml
        username: ${REGISTER_USERNAME:nacos}
        password: ${REGISTER_PASSWORD:nacos}
      discovery:
        server-addr: ${spring.cloud.nacos.config.server-addr}
        namespace: ${NAMESPACE_ID:snowy-cloud-2x-ent-dev}
        group: ${spring.profiles.active}
        username: ${spring.cloud.nacos.config.username}
        password: ${spring.cloud.nacos.config.password}
        connect-timeout: 5000  # 连接超时5秒
        read-timeout: 3000     # 读取超时3秒
        retry-times: 3          # 失败后重试3次
